attribute highp vec4 a_position;

uniform highp mat4 u_proj;

varying lowp vec3 v_color;
varying mediump vec2 v_tex_coord;

uniform float u_time;
float PI = 3.14159265;

void main()
{
	gl_Position = u_proj * a_position;

	mediump vec2 p = a_position.xy * vec2( 1.0, 720.0 / 1280.0 );

	mediump float bounce = abs( sin( u_time * 0.5 ) );
	mediump float bounceY = p.y * 0.5 + bounce;

	v_color = vec3( sin( fract( bounceY  * 20.0 ) * PI ) ) * vec3( sin( bounceY  * 10.0 ), sin( bounceY  * 20.0 ), sin( bounceY  * 40.0 ) );

	v_tex_coord = ( p.xy + vec2( sin( u_time + p.y ), sin( -bounce ) ) ) * 5.0;
}
